<style>
/* .tooltip {
    position: relative;
} */

.dropdown a {
    position: relative;
}

.dropdown .tooltip {
    display: inline-block;
    text-align: center;
    position: absolute; 
    bottom: 50%;
    left: 0;
    min-width: 10rem;
    background: #000; 
    color: #FFF; 
    padding: 5px;
    border-radius: 5px;
    opacity: 0; 
    transition: 0.3s;
    pointer-events: none; /* prevents tooltip from firing on pseudo hover */
}

.dropdown a:hover .tooltip {
    opacity:1;
    bottom: 100%;
}

.tooltip::after {
    width: 10px;
    height: 10px;
    display: block;
    background-color: #000;
    position: absolute;
    bottom: -4px;
    left: 19%;
    content: '';
    transform: rotate(45deg);
}
</style>
<template>
    <div class="dropdown">
        <div v-if="tooltip" class="tooltip">{{ tooltip }}</div>
        <button class="btn btn-secondary dropdown-toggle" type="button" id="dropdownMenuCategory" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            {{ $t(title) }}
        </button>
        <div class="dropdown-menu" aria-labelledby="dropdownMenuCategory">
            <h3 class="title">{{ $t(subtitle) }}</h3>
            <div class="all-users">
                <a class="dropdown-item" href="#" v-for="option in displayedOptions" v-bind:key="option.id" @click.prevent.stop="selected(option)">
                    <span v-if="criteria !== 'order'" class="check" :style="{ backgroundColor: (option.checked ? '#ddd' : '#fff') }">
                        <i class="fas fa-check" v-if="option.checked"></i>
                    </span>
                    <span v-if="option.icon" class="flag" :class="option.icon"></span>
                    <span v-if="option.color" :style="{ backgroundColor: option.color }"></span>
                    <!-- <div v-if="option.description" class="tooltip">{{ option.description }}</div> -->
                    {{ option.name }}
                </a>
            </div>
        </div>
    </div>
</template>
<script type="module">
export default{
	name: 'FilterDropdown',
	props: ['title', 'subtitle', 'options', 'criteria', 'tooltip'],
	components: {

	},
	data() {
		return {
			displayedOptions: [],
		};
	},
	mounted() {
		this.displayedOptions = this.options;
	},
	methods: {
        selected(option) {
            this.$emit('selected', this.criteria, option);
        }
	},
	computed: {
		//datos computados
	},
	watch: {
        options() {
            this.displayedOptions = this.options;
        }
	}
};
</script>